public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Alessandro Barbieri" <lssndrbarbieri@gmail.com>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/proj/guru:dev commit in: sys-cluster/heat/
Date: Mon,  4 Apr 2022 19:32:07 +0000 (UTC)	[thread overview]
Message-ID: <1649100723.4d8f8318b2b775b8b9c65c86f93cf8d388a0413a.Alessandro-Barbieri@gentoo> (raw)

commit:     4d8f8318b2b775b8b9c65c86f93cf8d388a0413a
Author:     Alessandro Barbieri <lssndrbarbieri <AT> gmail <DOT> com>
AuthorDate: Mon Apr  4 19:05:36 2022 +0000
Commit:     Alessandro Barbieri <lssndrbarbieri <AT> gmail <DOT> com>
CommitDate: Mon Apr  4 19:32:03 2022 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=4d8f8318

sys-cluster/heat: add 18.0.0

Signed-off-by: Alessandro Barbieri <lssndrbarbieri <AT> gmail.com>

 sys-cluster/heat/Manifest           |   1 +
 sys-cluster/heat/heat-18.0.0.ebuild | 170 ++++++++++++++++++++++++++++++++++++
 2 files changed, 171 insertions(+)

diff --git a/sys-cluster/heat/Manifest b/sys-cluster/heat/Manifest
index 6f603fe99..1a96049d4 100644
--- a/sys-cluster/heat/Manifest
+++ b/sys-cluster/heat/Manifest
@@ -1 +1,2 @@
 DIST openstack-heat-18.0.0.0rc1.tar.gz 2449476 BLAKE2B d1a616bd9d5d07e4b513ac73b8ad555a9641796b85e26b5682814e8cce01cd5785a312e3a26da2a98c2fba9145f84e801090b95739a3e9c61ab9cca9b7521b42 SHA512 891e2357be5334a1e542338ddb51baeda904a553a35ed3376d1ea7ba29818b5fb517d648f48d4e192d3e7a8f407d3a1363447a0bf701a87311e6904b4716703b
+DIST openstack-heat-18.0.0.tar.gz 2449231 BLAKE2B a285cc9bb3ac9bb88c5694cefd664ae5e4ffe130317a290e39b5faadd7512cdd515fdc14bc5a03bd610bd11f4fb1f85627c5dd1974f14ad06f13f9a594c1c141 SHA512 222c9ae91a7ab189fe98908629f6c64ccb0cc7dd10fc331c206c10a31a499cc3bdc8717656d2e3c746857de8c85ae13289a8efd2c1a800b9b88553696c2e14e4

diff --git a/sys-cluster/heat/heat-18.0.0.ebuild b/sys-cluster/heat/heat-18.0.0.ebuild
new file mode 100644
index 000000000..0d5f545e2
--- /dev/null
+++ b/sys-cluster/heat/heat-18.0.0.ebuild
@@ -0,0 +1,170 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+MYP="${P/_rc/rc}"
+PYTHON_COMPAT=( python3_{8..9} )
+
+inherit distutils-r1 linux-info systemd
+
+DESCRIPTION="A CloudFormation-compatible openstack-native cloud orchestration engine"
+HOMEPAGE="
+	https://launchpad.net/heat
+	https://opendev.org/openstack/heat/
+	https://pypi.org/project/openstack-heat/
+"
+SRC_URI="https://tarballs.openstack.org/${PN}/openstack-${MYP}.tar.gz"
+KEYWORDS="~amd64"
+S="${WORKDIR}/openstack-${MYP}"
+
+LICENSE="Apache-2.0 GPL-2"
+SLOT="0"
+IUSE="+mysql +memcached postgres sqlite"
+
+RDEPEND="
+	>=dev-python/pbr-3.1.1[${PYTHON_USEDEP}]
+	>=dev-python/Babel-2.3.4[${PYTHON_USEDEP}]
+	>=dev-python/croniter-0.3.4[${PYTHON_USEDEP}]
+	>=dev-python/cryptography-2.5[${PYTHON_USEDEP}]
+	>=dev-python/debtcollector-1.19.0[${PYTHON_USEDEP}]
+	>=dev-python/eventlet-0.18.2[${PYTHON_USEDEP}]
+	>=dev-python/keystoneauth-3.18.0[${PYTHON_USEDEP}]
+	>=dev-python/keystonemiddleware-5.1.0[${PYTHON_USEDEP}]
+	>=dev-python/lxml-4.5.0[${PYTHON_USEDEP}]
+	>=dev-python/netaddr-0.7.18[${PYTHON_USEDEP}]
+	>=dev-python/neutron-lib-1.14.0[${PYTHON_USEDEP}]
+	>=dev-python/openstacksdk-0.28.0[${PYTHON_USEDEP}]
+	>=dev-python/oslo-cache-1.26.0[${PYTHON_USEDEP}]
+	>=dev-python/oslo-config-6.8.0[${PYTHON_USEDEP}]
+	>=dev-python/oslo-concurrency-3.26.0[${PYTHON_USEDEP}]
+	>=dev-python/oslo-context-2.22.0[${PYTHON_USEDEP}]
+	>=dev-python/oslo-db-6.0.0[${PYTHON_USEDEP}]
+	>=dev-python/oslo-i18n-3.20.0[${PYTHON_USEDEP}]
+	>=dev-python/oslo-log-4.3.0[${PYTHON_USEDEP}]
+	>=dev-python/oslo-messaging-5.29.0[${PYTHON_USEDEP}]
+	>=dev-python/oslo-middleware-3.31.0[${PYTHON_USEDEP}]
+	>=dev-python/oslo-policy-3.7.0[${PYTHON_USEDEP}]
+	>=dev-python/oslo-reports-1.18.0[${PYTHON_USEDEP}]
+	>=dev-python/oslo-serialization-2.25.0[${PYTHON_USEDEP}]
+	>=dev-python/oslo-service-1.24.0[${PYTHON_USEDEP}]
+	>=dev-python/oslo-upgradecheck-1.3.0[${PYTHON_USEDEP}]
+	>=dev-python/oslo-utils-4.5.0[${PYTHON_USEDEP}]
+	>=dev-python/osprofiler-1.4.0[${PYTHON_USEDEP}]
+	>=dev-python/oslo-versionedobjects-1.31.2[${PYTHON_USEDEP}]
+	>=dev-python/pastedeploy-1.5.0[${PYTHON_USEDEP}]
+	>=dev-python/aodhclient-0.9.0[${PYTHON_USEDEP}]
+	>=dev-python/python-barbicanclient-4.5.2[${PYTHON_USEDEP}]
+	>=dev-python/python-blazarclient-1.0.1[${PYTHON_USEDEP}]
+	>=dev-python/python-cinderclient-3.3.0[${PYTHON_USEDEP}]
+	>=dev-python/python-designateclient-2.7.0[${PYTHON_USEDEP}]
+	>=dev-python/python-glanceclient-2.8.0[${PYTHON_USEDEP}]
+	>=dev-python/python-heatclient-1.10.0[${PYTHON_USEDEP}]
+	>=dev-python/python-ironicclient-2.8.0[${PYTHON_USEDEP}]
+	>=dev-python/python-keystoneclient-3.8.0[${PYTHON_USEDEP}]
+	>=dev-python/python-magnumclient-2.3.0[${PYTHON_USEDEP}]
+	>=dev-python/python-manilaclient-1.16.0[${PYTHON_USEDEP}]
+	>=dev-python/python-mistralclient-3.1.0[${PYTHON_USEDEP}]
+	>=dev-python/python-monascaclient-1.12.0[${PYTHON_USEDEP}]
+	>=dev-python/python-neutronclient-6.14.0[${PYTHON_USEDEP}]
+	>=dev-python/python-novaclient-9.1.0[${PYTHON_USEDEP}]
+	>=dev-python/python-octaviaclient-1.8.0[${PYTHON_USEDEP}]
+	>=dev-python/python-openstackclient-3.12.0[${PYTHON_USEDEP}]
+	>=dev-python/python-saharaclient-1.4.0[${PYTHON_USEDEP}]
+	>=dev-python/python-swiftclient-3.2.0[${PYTHON_USEDEP}]
+	>=dev-python/python-troveclient-2.2.0[${PYTHON_USEDEP}]
+	>=dev-python/python-vitrageclient-2.7.0[${PYTHON_USEDEP}]
+	>=dev-python/python-zaqarclient-1.3.0[${PYTHON_USEDEP}]
+	>=dev-python/python-zunclient-3.4.0[${PYTHON_USEDEP}]
+	>=dev-python/pytz-2013.6[${PYTHON_USEDEP}]
+	>=dev-python/pyyaml-5.1[${PYTHON_USEDEP}]
+	>=dev-python/requests-2.23.0[${PYTHON_USEDEP}]
+	>=dev-python/tenacity-6.1.0[${PYTHON_USEDEP}]
+	>=dev-python/routes-2.3.1[${PYTHON_USEDEP}]
+	>=dev-python/sqlalchemy-migrate-0.13.0[${PYTHON_USEDEP}]
+	>=dev-python/stevedore-3.1.0[${PYTHON_USEDEP}]
+	>=dev-python/webob-1.7.1[${PYTHON_USEDEP}]
+	>=dev-python/yaql-1.1.3[${PYTHON_USEDEP}]
+
+	mysql? (
+		>=dev-python/pymysql-0.7.6[${PYTHON_USEDEP}]
+		>=dev-python/sqlalchemy-1.0.10[${PYTHON_USEDEP}]
+	)
+	postgres? (
+		>=dev-python/psycopg-2.5.0[${PYTHON_USEDEP}]
+		>=dev-python/sqlalchemy-1.0.10[${PYTHON_USEDEP}]
+	)
+	sqlite? (
+		>=dev-python/sqlalchemy-1.0.10[sqlite,${PYTHON_USEDEP}]
+	)
+
+	acct-user/heat
+	acct-group/heat
+"
+DEPEND="
+	${RDEPEND}
+	app-admin/sudo
+"
+BDEPEND="
+	test? (
+		>=dev-python/fixtures-3.0.0[${PYTHON_USEDEP}]
+		>=dev-python/kombu-5.0.1[${PYTHON_USEDEP}]
+		>=dev-python/oslotest-3.2.0[${PYTHON_USEDEP}]
+		>=dev-python/testscenarios-0.4[${PYTHON_USEDEP}]
+		>=dev-python/testtools-2.2.0[${PYTHON_USEDEP}]
+		>=dev-python/testresources-2.0.0[${PYTHON_USEDEP}]
+		>=dev-python/pygments-2.2.0[${PYTHON_USEDEP}]
+		>=dev-python/tempest-17.1.0[${PYTHON_USEDEP}]
+	)
+"
+
+REQUIRED_USE="
+	test? ( mysql )
+	|| ( mysql postgres sqlite )
+"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+	sed -i '/^hacking/d' test-requirements.txt || die
+	distutils-r1_python_prepare_all
+}
+
+python_compile_all() {
+	oslo-config-generator --config-file=config-generator.conf
+	oslopolicy-sample-generator --config-file etc/heat/heat-policy-generator.conf
+}
+
+python_install_all() {
+	distutils-r1_python_install_all
+	diropts -m 0750 -o heat -g heat
+	keepdir /etc/heat
+	dodir /etc/heat/environment.d
+	dodir /etc/heat/templates
+
+	for svc in api api-cfn engine; do
+		newinitd "${FILESDIR}/heat.initd" "heat-${svc}"
+	done
+
+	insinto /etc/heat
+	insopts -m 0640 -o heat -g heat
+	doins heat.conf.sample
+	doins etc/heat/policy.yaml.sample
+	doins "etc/heat/api-paste.ini"
+	insinto /etc/heat/templates
+	doins "etc/heat/templates/"*
+	insinto /etc/heat/environment.d
+	doins "etc/heat/environment.d/default.yaml"
+
+	dodir /var/log/heat
+	fowners heat:heat /var/log/heat
+	keepdir /var/log/heat
+
+	systemd_dounit "${FILESDIR}/heat-engine.service"
+	systemd_dounit "${FILESDIR}/heat-api.service"
+
+	insinto /etc/logrotate.d
+	doins "${FILESDIR}/heat.logrotate"
+
+	rm -r "${ED}/usr/etc"
+}


             reply	other threads:[~2022-04-04 19:32 UTC|newest]

Thread overview: 6+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-04-04 19:32 Alessandro Barbieri [this message]
  -- strict thread matches above, loose matches on Subject: below --
2022-05-29 23:06 [gentoo-commits] repo/proj/guru:dev commit in: sys-cluster/heat/ Alessandro Barbieri
2022-04-19 18:31 Alessandro Barbieri
2022-04-16  1:09 Alessandro Barbieri
2022-03-30  3:27 Alessandro Barbieri
2021-09-26 19:34 Alessandro Barbieri

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1649100723.4d8f8318b2b775b8b9c65c86f93cf8d388a0413a.Alessandro-Barbieri@gentoo \
    --to=lssndrbarbieri@gmail.com \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox